Bug 1871123 - Review Request: toot - CLI and TUI tool for interacting with Mastodon
Summary: Review Request: toot - CLI and TUI tool for interacting with Mastodon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-21 11:35 UTC by Alessio
Modified: 2020-10-04 01:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-30 00:15:56 UTC
Type: ---
mail: fedora-review+


Attachments (Terms of Use)

Description Alessio 2020-08-21 11:35:41 UTC
Spec URL: https://alciregi.fedorapeople.org/toot/toot.spec
SRPM URL: https://alciregi.fedorapeople.org/toot/toot-0.27.0-1.fc33.src.rpm
Description: Toot is a CLI and TUI tool written in Python for interacting with Mastodon instances from the command line.
Fedora Account System Username: alciregi

Comment 1 Fabian Affolter 2020-08-26 14:45:49 UTC
Issues:

- %{?python_enable_dependency_generator} is enabled by default, entry can be removed.
- License is GPLv3 not GPLv2 (https://github.com/ihabunek/toot/blob/master/LICENSE) 
- There are tests available which are not run in %check



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 53 files have unknown license. Detailed
     output of licensecheck in
     /home/fab/Documents/repos/reviews/1871123-toot/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: toot-0.27.0-1.fc34.noarch.rpm
          toot-0.27.0-1.fc34.src.rpm
toot.noarch: W: no-documentation
toot.noarch: W: no-manual-page-for-binary toot
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
toot.noarch: W: invalid-url URL: https://github.com/ihabunek/toot <urlopen error [Errno -3] Temporary failure in name resolution>
toot.noarch: W: no-documentation
toot.noarch: W: no-manual-page-for-binary toot
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://raw.githubusercontent.com/ihabunek/toot/0.27.0/LICENSE :
  CHECKSUM(SHA256) this package     : 8ceb4b9ee5adedde47b31e975c1d90c73ad27b6b165a1dcd80c7c545eb65b903
  CHECKSUM(SHA256) upstream package : 8ceb4b9ee5adedde47b31e975c1d90c73ad27b6b165a1dcd80c7c545eb65b903
https://github.com/ihabunek/toot/releases/download/0.27.0/toot-0.27.0.tar.gz :
  CHECKSUM(SHA256) this package     : 1dfdba9acc8555fa3b4db903cbf806a639bf43c7855d324233041c655fc5cbd5
  CHECKSUM(SHA256) upstream package : 1dfdba9acc8555fa3b4db903cbf806a639bf43c7855d324233041c655fc5cbd5


Requires
--------
toot (rpmlib, GLIBC filtered):
    (python3.9dist(beautifulsoup4) < 5 with python3.9dist(beautifulsoup4) >= 4.5)
    (python3.9dist(requests) < 3 with python3.9dist(requests) >= 2.13)
    (python3.9dist(urwid) < 3 with python3.9dist(urwid) >= 2)
    (python3.9dist(wcwidth) < 2 with python3.9dist(wcwidth) >= 0.1.7)
    /usr/bin/python3
    python(abi)
    python3.9dist(setuptools)



Provides
--------
toot:
    python3.9dist(toot)
    python3dist(toot)
    toot



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1871123
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: R, PHP, Java, Ocaml, fonts, Haskell, C/C++, SugarActivity, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Alessio 2020-08-26 15:10:38 UTC
(In reply to Fabian Affolter from comment #1)
> Issues:
> 
> - %{?python_enable_dependency_generator} is enabled by default, entry can be
> removed.

Ok.

> - License is GPLv3 not GPLv2

Whoops.

> (https://github.com/ihabunek/toot/blob/master/LICENSE) 
> - There are tests available which are not run in %check

Added.

...
BuildRequires:  %{py3_dist pytest} %{py3_dist requests} %{py3_dist wcwidth} %{py3_dist beautifulsoup4}
...
%check
%{python3} -m pytest
...

Is it ok?

Thanks.

Spec URL: https://alciregi.fedorapeople.org/toot/toot.spec
SRPM URL: https://alciregi.fedorapeople.org/toot/toot-0.27.0-1.fc33.src.rpm
Successful scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=50195235

Comment 3 Fabian Affolter 2020-09-22 18:48:36 UTC
Comments addressed, package APPROVED.

Comment 4 Alessio 2020-09-22 19:12:11 UTC
(In reply to Fabian Affolter from comment #3)
> Comments addressed, package APPROVED.

Great. Thank you.

Comment 5 Gwyn Ciesla 2020-09-23 13:31:59 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/toot

Comment 6 Fedora Update System 2020-09-25 21:44:57 UTC
FEDORA-2020-a92d09315b has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a92d09315b

Comment 7 Fedora Update System 2020-09-25 21:45:25 UTC
FEDORA-2020-119eeacdcb has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-119eeacdcb

Comment 8 Fedora Update System 2020-09-26 01:29:13 UTC
FEDORA-2020-a92d09315b has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-a92d09315b \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a92d09315b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-26 01:53:51 UTC
FEDORA-2020-119eeacdcb has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-119eeacdcb \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-119eeacdcb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-09-30 00:15:56 UTC
FEDORA-2020-a92d09315b has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-10-04 01:30:17 UTC
FEDORA-2020-119eeacdcb has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.